#
#        Makefile for Editor (Aztec C v5.2a)
#
# Macros
#
#CFLAGS_PRE =-dMWDEBUG -a -ms -pacs0t -so -wdelopqw -ho ram:editor.pre
CFLAGS_PRE =-a -ms -pacs0t -so -wdelopqw -ho ram:editor.pre
CFLAGS     =-ms -pacs0t -so -wdelopqw -hi ram:editor.pre
LFLAGS     =-m +q
OBJECTS    =main.o req.o editor.o project.o window.o template.o subs.o\
 fonts.o save.o load.o edit1.o edit2.o list.o source.o
# /render/render.o /texts/texts.o /borders/borders.o /gadgets/gadgets1.o\
# /gadgets/gadgets2.o /gadgets/gadgets3.o /requester/requester.o\
# /menus/menus.o /files/files.o /language/language.o
#LIBRARIES  =-lmemwatch16 -la16 -lc16
LIBRARIES  =-la16 -lc16
#
# Dependancy entries
#
all: ram:editor.pre editor clear
#
ram:editor.pre: editor.pre
   copy editor.pre $@ clone
#
editor.pre: includes.h /library/intuisup.h
   cc $(CFLAGS_PRE) -o nil: includes.h
   copy ram:$@ $@ clone
#
editor: $(OBJECTS)
   ln $(LFLAGS) -o $@ $(OBJECTS) $(LIBRARIES)
#
clear:
   delete ram:#?.pre
#
